# Config file for rocm-validation-suite (RVS) package 
# The following variables are defined here
# ROCM_VALIDATION_SUITE_LIBRARY - RVS library 
# rocm_validation_suite_LIBRARY - RVS library 
# ROCM_VALIDATION_SUITE_INCLUDE_DIR - RVS include directory
# rocm_validation_suite_INCLUDE_DIR - RVS include directory
# ROCM_VALIDATION_SUITE_LIB_DIR - RVS library directory 
# rocm_validation_suite_LIB_DIR - RVS library directory 

# Compute paths

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was rvs-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set_and_check(rocm_validation_suite_INCLUDE_DIR "${PACKAGE_PREFIX_DIR}/include")
set_and_check(ROCM_VALIDATION_SUITE_INCLUDE_DIR "${PACKAGE_PREFIX_DIR}/include")
set_and_check(rocm_validation_suite_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set_and_check(ROCM_VALIDATION_SUITE_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")

set(ROCM_VALIDATION_SUITE_LIBRARY rvslib)
set(rocm_validation_suite_LIBRARY rvslib)

check_required_components(rocm_validation_suite)
